com.taosdata.jdbc.tmq

## Class Assignment

- java.lang.Object
- - com.taosdata.jdbc.tmq.Assignment

    public class Assignment
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Assignment()`
`Assignment(int vgId, long currentOffset, long begin, long end)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getBegin()`
`long` `getCurrentOffset()`
`long` `getEnd()`
`int` `getVgId()`
`void` `setBegin(long begin)`
`void` `setCurrentOffset(long currentOffset)`
`void` `setEnd(long end)`
`void` `setVgId(int vgId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Assignment

    public Assignment()

#### Assignment

    public Assignment(int vgId,
                      long currentOffset,
                      long begin,
                      long end)

### Method Detail

#### setVgId

    public void setVgId(int vgId)

#### setCurrentOffset

    public void setCurrentOffset(long currentOffset)

#### setBegin

    public void setBegin(long begin)

#### setEnd

    public void setEnd(long end)

#### getVgId

    public int getVgId()

#### getCurrentOffset

    public long getCurrentOffset()

#### getBegin

    public long getBegin()

#### getEnd

    public long getEnd()